#include <unistd.h>
#include <stdio.h>
#include <stdlib.h>
#include <sys/types.h>
#include <dirent.h>
#include <sys/mount.h>

int main (int argc, const char *argv[])
{
	DIR *dir;

	if (argc != 2) {
		fprintf(stderr, "usage: umountd <mntpnt>\n");
		return 1;
	}

	daemon(0,0);
	while (1) {
		sleep(1);
		dir = opendir(argv[1]);
		if (!dir)
			break;
		closedir(dir);
	}
	umount2(argv[1], 3); // MNT_FORCE|MNT_DETACH
	return 0;
}
